# Class JSOFA.TangentPointSolution

java.lang.Object
org.jastronomy.jsofa.JSOFA.TangentPointSolution

Enclosing class:
  `JSOFA`

public static class JSOFA.TangentPointSolution extends Object
Tangent point soulutions. A class to contain tangent point soutions and an indication as to how many of the solutions are valid

Since:
  JSOFA release 20180130
Version:
  JSOFA Release 20180130
Author:
  Paul Harrison (paul.harrison@manchester.ac.uk)

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`nsolutions`
nsolutions.
`JSOFA.SphericalCoordinate`
`sol1`
`JSOFA.SphericalCoordinate`
`sol2`

## Constructor Summary

Constructors
Constructor
Description
`TangentPointSolution()`
`TangentPointSolution(JSOFA.SphericalCoordinate sol1, JSOFA.SphericalCoordinate sol2, int flag)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### sol1

public JSOFA.SphericalCoordinate sol1

### sol2

public JSOFA.SphericalCoordinate sol2

### nsolutions

public int nsolutions
nsolutions. The number of useful solutions

## Constructor Details

### TangentPointSolution

public TangentPointSolution(JSOFA.SphericalCoordinate sol1, JSOFA.SphericalCoordinate sol2, int flag)

Parameters:
  `sol1` -
  `sol2` -
  `flag` -

### TangentPointSolution

public TangentPointSolution()